package springdeveloper;

import oracle.toplink.essentials.ejb.cmp3.EntityManagerFactoryProvider;
import springdeveloper.domain.Manager;
import springdeveloper.domain.Client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.EntityTransaction;
import javax.sql.DataSource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.HashSet;
import java.net.URL;

/**
 * Hello world!
 *
 */
public class TestApp
{
    public static void main( String[] args )
    {
        System.out.println( "TestApp!" );
        TestApp app = new TestApp();
        app.run();

    }

    private void run() {

        URL url = this.getClass().getResource("/project1-orm.xml");
        System.out.println("XML: " + url);

        Map<String, String> propertiesMap = new HashMap<String, String>();
        // logging
        propertiesMap.put("toplink.logging.level", "INFO");
        // connection
        propertiesMap.put("toplink.jdbc.driver", "org.hsqldb.jdbcDriver");
        propertiesMap.put("toplink.jdbc.url", "jdbc:hsqldb:./db/TEST");
        propertiesMap.put("toplink.jdbc.user", "sa");
        propertiesMap.put("toplink.jdbc.password", "");
        propertiesMap.put("toplink.target-database",
                "oracle.toplink.essentials.platform.database.HSQLPlatform");
/*        // DDL generation
        propertiesMap.put("toplink.ddl-generation", "create-tables");
        propertiesMap.put("toplink.ddl-generation.output-mode", "database");
*/
        CreateDB cdb = new CreateDB();
        cdb.doIt();

        EntityManagerFactory emf = Persistence.createEntityManagerFactory("main", propertiesMap);

        EntityManager em = emf.createEntityManager();

        List<Manager> l = em.createQuery("select m from Manager m").getResultList();
        System.out.println("list--> " + l);
    }
}
