package springdeveloper;

import oracle.toplink.essentials.ejb.cmp3.EntityManagerFactoryProvider;
import springdeveloper.domain.Client;
import springdeveloper.domain.Manager;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;

/**
 * @author trisberg
 */
public class App1 {
    public static void main(String[] args) {
        System.out.println("Test JPA!");

        Map<String, String> propertiesMap = new HashMap<String, String>();
        // logging
        propertiesMap.put("toplink.logging.level", "INFO");
        // connection
        propertiesMap.put("toplink.jdbc.driver", "org.hsqldb.jdbcDriver");
        propertiesMap.put("toplink.jdbc.url", "jdbc:hsqldb:./db/TEST");
        propertiesMap.put("toplink.jdbc.user", "sa");
        propertiesMap.put("toplink.jdbc.password", "");
        propertiesMap.put("toplink.target-database",
                "oracle.toplink.essentials.platform.database.HSQLPlatform");
/*        // DDL generation
        propertiesMap.put("toplink.ddl-generation", "create-tables");
        propertiesMap.put("toplink.ddl-generation.output-mode", "database");
*/
        CreateDB cdb = new CreateDB();
        cdb.doIt();

        EntityManagerFactory emf = Persistence.createEntityManagerFactory("project1", propertiesMap);
        EntityManager em = emf.createEntityManager();

        System.out.println("Retreive:");
        List l = em.createQuery("select m from Manager m").getResultList();
        System.out.println("==> " + l);

        em.close();

    }
}
